Test a connection for an application
post
/epm/rest/v1/applications/{applicationId}/connections/{connectionId}/test
Request
Supported Media Types
- application/json
Path Parameters
-
applicationId(required): string(uuid)
-
connectionId(required): string(uuid)
Pattern:
[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}
The details of the connection to test
Root Schema : TestApplicationConnectionDetailsCommandJson
Type:
Show Source
object-
accessToken:
string
Deprecated: use authDetails.accessToken (OAUTH).
-
authDetails:
object ApplicationConnectionAuthDetails
Discriminator:
authTypeAuthentication details for an application connection. Use 'authType' = BASIC or OAUTH or JWT_OAUTH. EPM connections using BASIC Authentication require: "authType", the authentication type for the connection, use BASIC "url", the URL for the connection, "identityDomain", the identity domain for the connection, "username", the username for the connection, "password", the password for the connection. "folder", the default folder in the EPM inbox EPM connections using OAUTH Authentication require: "authType", the authentication type for the connection, use OAUTH "url", the URL for the connection, "clientId", the client Id for the connection. "accessToken", the access token for the connection. "refreshToken", the refresh token for the connection. "tokenUrl", the OAuth token endpoint used to obtain and refresh access tokens for the connection. "folder", the folder in the EPM inbox FCGL Application connections using BASIC Authentication require: "authType", the authentication type for the connection, use BASIC "url", the URL for the connection, "username", the username for the connection, "password", the password for the connection. "identityDomain", the identity domain for the connection, FCGL Application connections using OAUTH Authentication require: "authType", the authentication type for the connection, use JWT_OAUTH "url", the ERP Application URL for the connection, "idcsTokenUrl", the OAuth token endpoint used to obtain access tokens for the connection, "clientId", Client ID for the connection, "scope", provides a method to govern the amount of access that is granted to a JSON Web Token, "certificateAlias", Alias name that an EDM user provides while creating the client in ERP IDCS, "privateKeyFileId", the file Id of the private key temp file uploaded for the connection. -
clientId:
string
Deprecated: use authDetails.clientId (OAUTH).
-
domain:
string
Deprecated: use authDetails.domain (BASIC).
-
password:
string
Deprecated: use authDetails.password (BASIC).
-
refreshToken:
string
Deprecated: use authDetails.refreshToken (OAUTH).
-
url(required):
string
The target url of the connection
-
username:
string
Deprecated: use authDetails.username (BASIC).
Nested Schema : ApplicationConnectionAuthDetails
Type:
objectDiscriminator:
authTypeAuthentication details for an application connection. Use 'authType' = BASIC or OAUTH or JWT_OAUTH.
EPM connections using BASIC Authentication require:
"authType", the authentication type for the connection, use BASIC
"url", the URL for the connection,
"identityDomain", the identity domain for the connection,
"username", the username for the connection,
"password", the password for the connection.
"folder", the default folder in the EPM inbox
EPM connections using OAUTH Authentication require:
"authType", the authentication type for the connection, use OAUTH
"url", the URL for the connection,
"clientId", the client Id for the connection.
"accessToken", the access token for the connection.
"refreshToken", the refresh token for the connection.
"tokenUrl", the OAuth token endpoint used to obtain and refresh access tokens for the connection.
"folder", the folder in the EPM inbox
FCGL Application connections using BASIC Authentication require:
"authType", the authentication type for the connection, use BASIC
"url", the URL for the connection,
"username", the username for the connection,
"password", the password for the connection.
"identityDomain", the identity domain for the connection,
FCGL Application connections using OAUTH Authentication require:
"authType", the authentication type for the connection, use JWT_OAUTH
"url", the ERP Application URL for the connection,
"idcsTokenUrl", the OAuth token endpoint used to obtain access tokens for the connection,
"clientId", Client ID for the connection,
"scope", provides a method to govern the amount of access that is granted to a JSON Web Token,
"certificateAlias", Alias name that an EDM user provides while creating the client in ERP IDCS,
"privateKeyFileId", the file Id of the private key temp file uploaded for the connection.
Show Source
-
authType:
string
Read Only:
true
Response
Supported Media Types
- application/json
200 Response
OK
400 Response
Error in body
404 Response
Application Connection not found
Examples
The following example shows how to test specific application connection by using a POST request on the REST resource using cURL.
cURL Command
curl --user epm_cloud_user -X POST -H 'Content-Type: application/json' @example_request_payload.json https://servername.fa.us2.oraclecloud.com/epm/rest/v1/applications/e63e92c4-4727-4999-97f2-50498cb40ec7/connections/ea2328ed-48d3-45dd-b033-fc447a5e2a77/test
Example of Request Body
The following shows an example of the request body in JSON format.
{
"url": "http[s]://hostname[:port]",
"username": "User1",
"password": "daa64d99-9c88-4109-a75b-c9756b7d0796",
"domain": ""
}
Example of Response Body
The following shows an example of the response body in JSON format.
{
"success": true,
"messages": null
}